Skip to main content
GET
/
v1
/
stocks
/
last-trade
Get Last Trade
curl --request GET \
  --url https://api.aries.com/v1/stocks/last-trade \
  --header 'Authorization: Bearer <token>'
{
  "requestId": "5eac8eaf43c0b46e598180f4a2bef742",
  "results": {
    "ticker": "AAPL",
    "conditions": [
      12
    ],
    "trfTimestamp": 1767401995260857300,
    "id": "360988",
    "price": 270.9607,
    "sequenceNumber": 10029677,
    "trfId": 202,
    "size": 391,
    "sipTimestamp": 1767401995260878300,
    "exchange": 4,
    "participantTimestamp": 1767401995260648000,
    "tape": 3
  },
  "status": "DELAYED"
}

Documentation Index

Fetch the complete documentation index at: https://finance.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

ticker
string
required

Stock ticker symbol, such as AAPL. Use the exact ticker for the company you want to research.

Example:

"AAPL"

Response

Successful response

requestId
string

Unique request ID

results
object

Last trade object

status
string

Status of the response